Skip to main content
PUT
/
api
/
organizations
/
{organizationId}
/
conditional-fields
/
{fieldId}
Update a conditional field
curl --request PUT \
  --url https://your-instance.example.com/api/organizations/{organizationId}/conditional-fields/{fieldId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "sectionId": "<string>",
  "expression": "<string>",
  "status": "<string>",
  "outputType": "<string>",
  "description": "<string>",
  "type": "Contact",
  "sectionType": "Contact"
}
'
{}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organizationId
string
required
fieldId
string
required

Body

application/json
name
string
required
sectionId
string
required
expression
string
required
status
string
outputType
string
description
string
type
enum<string>
Available options:
Contact,
Conversation,
Application
sectionType
enum<string>
Available options:
Contact,
Conversation,
Application

Response

Field updated

The response is of type object.